/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import React from 'react';
import { FormItemModel } from '../form/FormItemModel';
/**
 * 使用 FormItemModel 的“表单项”包装，内部渲染 VariableInput，并将“常量”映射到临时字段模型。
 */
export declare class AssignFormItemModel extends FormItemModel {
    assignValue: any;
    constructor(options: any);
    onInit(options: any): void;
    get fieldInit(): any;
    get fieldPath(): string | undefined;
    getAssignedEntry(): [string, any] | null;
    render(): React.JSX.Element;
}
